commit 6a7d6c46297a8b0609c6a7c0490425202a72a58e
Author: freddy77 <freddy77>
Date:   Wed Nov 5 14:54:41 2008 +0000

    remove warning

diff --git a/ChangeLog b/ChangeLog
index 317bb9f..d5d781f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Nov 05 15:54:26 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/tds/mem.c src/tds/token.c:
+	- remove warning
+
 Wed Nov 05 15:26:17 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/unittests/toodynamic.c(added) include/tds.h:
 	* src/tds/mem.c src/tds/query.c src/tds/unittests/Makefile.am:
@@ -889,4 +893,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2650 2008/11/05 14:27:49 freddy77 Exp $
+$Id: ChangeLog,v 1.2651 2008/11/05 14:54:41 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 9f33cb4..3bb6d95 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.297 2008/11/05 14:27:49 freddy77 Exp $ */
+/* $Id: tds.h,v 1.298 2008/11/05 14:54:41 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1394,7 +1394,7 @@ int tds_alloc_row(TDSRESULTINFO * res_info);
 int tds_alloc_compute_row(TDSCOMPUTEINFO * res_info);
 BCPCOLDATA * tds_alloc_bcp_column_data(int column_size);
 unsigned char *tds7_crypt_pass(const unsigned char *clear_pass, int len, unsigned char *crypt_pass);
-TDSDYNAMIC *tds_lookup_dynamic(TDSSOCKET * tds, char *id);
+TDSDYNAMIC *tds_lookup_dynamic(TDSSOCKET * tds, const char *id);
 /*@observer@*/ const char *tds_prtype(int token);
 
 
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 6680130..6238db3 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -47,7 +47,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.181 2008/11/05 14:27:49 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.182 2008/11/05 14:54:41 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -129,7 +129,7 @@ tds_get_dynid(TDSSOCKET * tds, char *id)
 TDSDYNAMIC *
 tds_alloc_dynamic(TDSSOCKET * tds, const char *id)
 {
-	TDSDYNAMIC *dyn, *curr;
+	TDSDYNAMIC *dyn;
 	char tmp_id[30];
 
 	if (id) {
diff --git a/src/tds/token.c b/src/tds/token.c
index 1885ca6..33e3f9f 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.356 2008/10/17 09:38:10 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.357 2008/11/05 14:54:41 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -2686,7 +2686,7 @@ tds_process_cancel(TDSSOCKET * tds)
  * \param id   dynamic id to search
  */
 TDSDYNAMIC *
-tds_lookup_dynamic(TDSSOCKET * tds, char *id)
+tds_lookup_dynamic(TDSSOCKET * tds, const char *id)
 {
 	TDSDYNAMIC *curr;
 

